from dataclasses import dataclass
from uuid import UUID


@dataclass(frozen=True)
class MenuDTO:
    id: UUID
    title: str
    description: str | None


@dataclass(frozen=True)
class SubMenuDTO(MenuDTO):
    parent_menu: UUID
