from uuid import UUID

from fastfood_two.domain.menu.menu_entity import Description, Menu, MenuId, Title


def db_entity_to_domain(menu: tuple[UUID, str, str | None]) -> Menu:
    print(menu)
    return Menu(
        id=MenuId(menu[0]),
        title=Title(menu[1]),
        description=Description(menu[2]),
    )
