from uuid import UUID

from pydantic import BaseModel


class AddMenuPDModel(BaseModel):
    id: UUID | None = None
    title: str
    description: str | None


class UpdateMenuPDModel(BaseModel):
    title: str | None = None
    description: str | None = None
