from dataclasses import dataclass
from uuid import UUID


@dataclass(frozen=True)
class AddMenuDTO:
    id: UUID | None
    title: str
    description: str | None


@dataclass(frozen=True)
class UpdateMenuDTO:
    id: UUID
    title: str | None
    description: str | None


@dataclass(frozen=True)
class DeleteMenuDTO:
    id: UUID


@dataclass(frozen=True)
class GetMenuByIdDTO:
    id: UUID


@dataclass(frozen=True)
class AddSubMenuDTO(AddMenuDTO):
    parent_menu: UUID
